Index: solve_disambiguation.py
===================================================================
--- solve_disambiguation.py	(revision 4511)
+++ solve_disambiguation.py	(working copy)
@@ -77,7 +77,7 @@
 # Summary message when working on disambiguation pages
 msg = {
     'cs': u'Odstranění linku na rozcestník [[%s]] s použitím robota',
-    'en': u'Robot-assisted disambiguation: %s',
+    'en': u'Robot-assisted disambiguation: %s - Changed link(s) to %s.',
     'da': u'Retter flertydigt link til: %s',
     'de': u'Bot-unterstützte Begriffsklärung: %s',
     'fr': u'Homonymie résolue à l\'aide du robot: %s',
@@ -86,7 +86,7 @@
     'it': u'Sistemazione automatica della disambigua: %s',
     'lt': u'Nuorodų į nukrepiamąjį straipsnį keitimas: %s',
     'kk': u'Айрықты мағыналарды бот көмегімен шешу: %s',
-    'nl': u'Robot-geholpen doorverwijzing: %s',
+    'nl': u'Robot-geholpen doorverwijzing: [[%s]] - Link(s) veranderd naar %s.',
     'no': u'bot: Retter lenke til peker: %s',
     'pl': u'Wspomagane przez robota ujednoznacznienie: %s',
     'pt': u'Desambiguação assistida por bot: %s',
@@ -95,6 +95,11 @@
     'sv': u'Länkar direkt till rätt artikel för: %s',
     }
 
+# Summary message when working on disambiguation pages and the link is removed
+msg_unlink = {
+    'en': u'Robot-assisted disambiguation: %s - Removed link(s).',
+    'nl': u'Robot-geholpen doorverwijzing: [[%s]] - Link(s) weggehaald.',
+}
 # Summary message when working on redirects
 msg_redir = {
     'cs': u'Robot opravil přesměrování na %s',
@@ -499,6 +504,8 @@
         # TODO: break this function up into subroutines!
 
         include = False
+        unlink = False
+        new_targets = []
         try:
             text=refPage.get(throttle=False)
             ignoreReason = self.checkContents(text)
@@ -649,6 +656,7 @@
                 if choice in ['u', 'U']:
                     # unlink - we remove the section if there's any
                     text = text[:m.start()] + link_text + text[m.end():]
+                    unlink = True
                     continue
                 else:
                     if len(choice)>0 and choice[0] == 'r':
@@ -681,6 +689,8 @@
                     else:
                         new_page_title = repPl.title()
                         new_page_title = new_page_title[0].lower() + new_page_title[1:]
+                    if new_page_title not in new_targets:
+                        new_targets.append(new_page_title)
                     if replaceit and trailing_chars:
                         newlink = "[[%s%s]]%s" % (new_page_title, section, trailing_chars)
                     elif replaceit or (new_page_title == link_text and not section):
@@ -700,6 +710,7 @@
                 wikipedia.output(u'\nThe following changes have been made:\n')
                 wikipedia.showDiff(original_text, text)
                 wikipedia.output(u'')
+                self.setSummaryMessage(disambPage, new_targets, unlink)
                 # save the page
                 try:
                     refPage.put_async(text,comment=self.comment)
@@ -754,7 +765,7 @@
             self.alternatives += links
         return True
     
-    def setSummaryMessage(self, disambPage):
+    def setSummaryMessage(self, disambPage, new_targets = [], unlink = False):
         # first check whether user has customized the edit comment
         if wikipedia.config.disambiguation_comment.has_key(self.mysite.family.name)  and wikipedia.config.disambiguation_comment[self.mysite.family.name].has_key(self.mylang):
             self.comment = wikipedia.translate(self.mysite,
@@ -765,7 +776,14 @@
             # when working on redirects, there's another summary message
             self.comment = wikipedia.translate(self.mysite, msg_redir) % disambPage.title()
         else:
-            self.comment = wikipedia.translate(self.mysite, msg) % disambPage.title()
+            if not unlink:
+                targets = ''
+                for page_title in new_targets:
+                    targets += u'[[%s]], ' % page_title
+                targets = targets[:-2]
+                self.comment = wikipedia.translate(self.mysite, msg) % (disambPage.title(), targets)
+            else:
+                self.comment = wikipedia.translate(self.mysite, msg_unlink) % disambPage.title()
         
     def run(self):
         if self.main_only:
